### Constructor

# FwupdPlugin CfiDevice new

since: 2.1.1

#### Declaration [src]

    FuCfiDevice*
    fu_cfi_device_new (
      FuDevice* proxy,
      const gchar* flash_id
    )

#### Description [src]

Creates a new `FuCfiDevice`.

Available since: 2.1.1

#### Parameters

`proxy`

  Type: `FuDevice`

  A `FuDevice`.

  The data is owned by the caller of the function.

`flash_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuCfiDevice`

A `FuCfiDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.